Is it possible to specify GitHub-hosted runner versions?

The recent upgrade of ubuntu-20.04 broke our browser tests in CI because of the Selenium 3->4 upgrade.

Is it possible to pin Github-hosted runners to a specific older version? In our case, we’d want to pin the Ubuntu-20.04 to version 20211108.1 until we get Selenium 4 working. I realize we could also uninstall Selenium 4 and install Selenium 3 ourselves, but it would be nice to just modify a pinned version instead of adding these extra (un)install steps.